import request from "@/utils/request";

//获取当前列表
export function dataArrayList(processId: string) {
  return request({
    url: `/api/v1/testData/get/${processId}`,
    method: "get",
  });
}

export function startCSSJTesting(processId: string,deviceNo: string) {
  return request({
    url: `/api/v1/testData/startTest/${processId}/${deviceNo}`,
    method: "get",
  });
}

export function deleteCSSJ(id: string) {
  return request({
    url: `/api/v1/testData/del`,
    method: "post",
    data: {
      id: id,
    },
  });
}

export function addCSSJ(data: any) {
  return request({
    url: `/api/v1/testData/save`,
    method: "post",
    data: data,
  });
}

export function getDeviceList(data: any) {
  return request({
    url: `/api/v1/device/list`,
    method: "post",
    data: data,
  });
}
